### Constructor

# PapersView AnnotationsContext new

#### Declaration [src]

    PpsAnnotationsContext*
    pps_annotations_context_new (
      PpsDocumentModel* model,
      PpsUndoContext* undo_context
    )

#### Description

No description available.

#### Parameters

`model`

  Type: `PpsDocumentModel`

  No description available.

  The data is owned by the caller of the function.

`undo_context`

  Type: `PpsUndoContext`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `PpsAnnotationsContext`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.